package pl.epomoce.dynamicznazmianakoloru

import android.graphics.Color
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Button
import android.widget.SeekBar
import android.widget.SeekBar.*
import android.widget.TextView

class OknoGlowne : AppCompatActivity() {
    var mojeFunkcje=MojeFunkcje()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_okno_glowne)
        //kod słuchacza dla przycisku Button3
        val button1 = findViewById<Button>(R.id.button1)
        button1.setOnClickListener {
            mojeFunkcje.Zamknij(this)
        }

        val txtHello=findViewById<TextView>(R.id.textHelloWorld)
        txtHello.setBackgroundColor(mojeFunkcje.DajKolor())

        val txtCzerwony=findViewById<TextView>(R.id.textView2)
        val pasekCzerwony=findViewById<SeekBar>(R.id.seekBar1)
        pasekCzerwony?.setOnSeekBarChangeListener(object: OnSeekBarChangeListener{
            override fun onProgressChanged(p0: SeekBar?, p1: Int, p2: Boolean) {
                txtCzerwony.setText("Czerwony: " + p1)
                txtCzerwony.setBackgroundColor(Color.argb (255,p1,0,0));
                mojeFunkcje.r=p1
                txtHello.setBackgroundColor(mojeFunkcje.DajKolor())
            }
            override fun onStartTrackingTouch(p0: SeekBar?) {}
            override fun onStopTrackingTouch(p0: SeekBar?) {}
        })
        var txtZielony=findViewById<TextView>(R.id.textView3)
        var pasekZielony=findViewById<SeekBar>(R.id.seekBar2)
        pasekZielony?.setOnSeekBarChangeListener(object: OnSeekBarChangeListener{
            override fun onProgressChanged(p0: SeekBar?, p1: Int, p2: Boolean) {
                txtZielony.setText("Zielony: " + p1)
                txtZielony.setBackgroundColor(Color.argb (255,0,p1,0));
                mojeFunkcje.g=p1
                txtHello.setBackgroundColor(mojeFunkcje.DajKolor())
            }
            override fun onStartTrackingTouch(p0: SeekBar?) {}
            override fun onStopTrackingTouch(p0: SeekBar?) {}
        })
        val txtNiebieski=findViewById<TextView>(R.id.textView4)
        val pasekNiebieski=findViewById<SeekBar>(R.id.seekBar3)
        pasekNiebieski?.setOnSeekBarChangeListener(object: OnSeekBarChangeListener{
            override fun onProgressChanged(p0: SeekBar?, p1: Int, p2: Boolean) {
                txtNiebieski.setText("Niebieski: " + p1)
                txtNiebieski.setBackgroundColor(Color.argb (255,0,0,p1));
                mojeFunkcje.b=p1
                txtHello.setBackgroundColor(mojeFunkcje.DajKolor())
            }
            override fun onStartTrackingTouch(p0: SeekBar?) {}
            override fun onStopTrackingTouch(p0: SeekBar?) {}
        })
        val txtAlfa=findViewById<TextView>(R.id.textView5)
        val pasekAlfa=findViewById<SeekBar>(R.id.seekBar4)
        pasekAlfa?.setOnSeekBarChangeListener(object: OnSeekBarChangeListener{
            override fun onProgressChanged(p0: SeekBar?, p1: Int, p2: Boolean) {
                txtAlfa.setText("Kanał Alpha: " + p1)
                txtAlfa.setBackgroundColor(Color.argb (p1,127,127,127));
                mojeFunkcje.a=p1
                txtHello.setBackgroundColor(mojeFunkcje.DajKolor())
            }
            override fun onStartTrackingTouch(p0: SeekBar?) {}
            override fun onStopTrackingTouch(p0: SeekBar?) {}
        })
    }

}